Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.barcode4j
Class BarcodeRasterizedImageProducer

    java.lang.Object
      net.sf.jasperreports.components.barcode4j.BarcodeRasterizedImageProducer

All Implemented Interfaces:
  BarcodeImageProducer

    public class BarcodeRasterizedImageProducer

extends java.lang.Object
implements BarcodeImageProducer

Version:
  $Id: BarcodeRasterizedImageProducer.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PROPERTY_ANTIALIAS`
`static java.lang.String` | `PROPERTY_GRAY`
`static java.lang.String` | `PROPERTY_RESOLUTION`

Fields inherited from interface net.sf.jasperreports.components.barcode4j.BarcodeImageProducer
`PROPERTY_IMAGE_PRODUCER, PROPERTY_PREFIX_IMAGE_PRODUCER`

Constructor Summary
`BarcodeRasterizedImageProducer()`

Method Summary
`JRRenderable` | `createImage(JRComponentElement componentElement, org.krysalis.barcode4j.BarcodeGenerator barcode, java.lang.String message, int orientation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_RESOLUTION

    public static final java.lang.String PROPERTY_RESOLUTION

See Also:
  Constant Field Values

### PROPERTY_GRAY

    public static final java.lang.String PROPERTY_GRAY

See Also:
  Constant Field Values

### PROPERTY_ANTIALIAS

    public static final java.lang.String PROPERTY_ANTIALIAS

See Also:
  Constant Field Values

Constructor Detail

### BarcodeRasterizedImageProducer

    public BarcodeRasterizedImageProducer()

Method Detail

### createImage

    public JRRenderable createImage(JRComponentElement componentElement,
                                    org.krysalis.barcode4j.BarcodeGenerator barcode,
                                    java.lang.String message,
                                    int orientation)

  Specified by:
    `createImage` in interface `BarcodeImageProducer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com